import request from '@/utils/request'

// 查询采购流程记录列表
export function listPurchaseRecord(query) {
  return request({
    url: '/flow/purchaseRecord/list',
    method: 'get',
    params: query
  })
}

// 查询采购流程记录详细
export function getPurchaseRecord(id) {
  return request({
    url: '/flow/purchaseRecord/' + id,
    method: 'get'
  })
}

// 新增采购流程记录
export function addPurchaseRecord(data) {
  return request({
    url: '/flow/purchaseRecord',
    method: 'post',
    data: data
  })
}

// 修改采购流程记录
export function updatePurchaseRecord(data) {
  return request({
    url: '/flow/purchaseRecord',
    method: 'put',
    data: data
  })
}

// 删除采购流程记录
export function delPurchaseRecord(id) {
  return request({
    url: '/flow/purchaseRecord/' + id,
    method: 'delete'
  })
}

// 导出采购流程记录
export function exportPurchaseRecord(query) {
  return request({
    url: '/flow/purchaseRecord/export',
    method: 'get',
    params: query
  })
}